org.eclipse.persistence.javax.persistence.osgi

## Class OSGiProviderResolver.ForwardingProviderUtil

- java.lang.Object
- - org.eclipse.persistence.javax.persistence.osgi.OSGiProviderResolver.ForwardingProviderUtil

All Implemented Interfaces:
  ProviderUtil

Enclosing class:
  OSGiProviderResolver

    public class OSGiProviderResolver.ForwardingProviderUtil
    extends java.lang.Object
    implements ProviderUtil

### Constructor Summary

Constructors
Constructor and Description
`ForwardingProviderUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LoadState` `isLoaded(java.lang.Object entity)` If the provider determines that the entity has been provided by itself and that the state of all attributes for which `FetchType.EAGER` has been specified have been loaded, this method returns `LoadState.LOADED`.
`LoadState` `isLoadedWithoutReference(java.lang.Object entity, java.lang.String attributeName)` If the provider determines that the entity has been provided by itself and that the state of the specified attribute has been loaded, this method returns `LoadState.LOADED`.
`LoadState` `isLoadedWithReference(java.lang.Object entity, java.lang.String attributeName)` If the provider determines that the entity has been provided by itself and that the state of the specified attribute has been loaded, this method returns `LoadState.LOADED`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForwardingProviderUtil

    public ForwardingProviderUtil()

### Method Detail

#### isLoadedWithReference

    public LoadState isLoadedWithReference(java.lang.Object entity,
                                           java.lang.String attributeName)

Description copied from interface: `ProviderUtil`
If the provider determines that the entity has been provided by itself and that the state of the specified attribute has been loaded, this method returns `LoadState.LOADED`.

If a provider determines that the entity has been provided by itself and that either the entity attributes with `FetchType.EAGER` have not been loaded or that the state of the specified attribute has not been loaded, this method returns return `LoadState.NOT_LOADED`.

If the provider cannot determine the load state, this method returns `LoadState.UNKNOWN`.

The provider's implementation of this method is permitted to obtain a reference to the attribute value. (This access is safe because providers which might trigger the loading of the attribute state will have already been determined by `isLoadedWithoutReference`. )

Specified by:
  `isLoadedWithReference` in interface `ProviderUtil`
Parameters:
  `entity` - entity instance
  `attributeName` - name of attribute whose load status is to be determined
Returns:
  load status of the attribute

#### isLoadedWithoutReference

    public LoadState isLoadedWithoutReference(java.lang.Object entity,
                                              java.lang.String attributeName)

Description copied from interface: `ProviderUtil`
If the provider determines that the entity has been provided by itself and that the state of the specified attribute has been loaded, this method returns `LoadState.LOADED`.

If the provider determines that the entity has been provided by itself and that either entity attributes with `FetchType.EAGER` have not been loaded or that the state of the specified attribute has not been loaded, this methods returns `LoadState.NOT_LOADED`.

If a provider cannot determine the load state, this method returns `LoadState.UNKNOWN`.

The provider's implementation of this method must not obtain a reference to an attribute value, as this could trigger the loading of entity state if the entity has been provided by a different provider.

Specified by:
  `isLoadedWithoutReference` in interface `ProviderUtil`
Parameters:
  `entity` - entity instance
  `attributeName` - name of attribute whose load status is to be determined
Returns:
  load status of the attribute

#### isLoaded

    public LoadState isLoaded(java.lang.Object entity)

Description copied from interface: `ProviderUtil`
If the provider determines that the entity has been provided by itself and that the state of all attributes for which `FetchType.EAGER` has been specified have been loaded, this method returns `LoadState.LOADED`.

If the provider determines that the entity has been provided by itself and that not all attributes with `FetchType.EAGER` have been loaded, this method returns `LoadState.NOT_LOADED`.

If the provider cannot determine if the entity has been provided by itself, this method returns `LoadState.UNKNOWN`.

The provider's implementation of this method must not obtain a reference to any attribute value, as this could trigger the loading of entity state if the entity has been provided by a different provider.

Specified by:
  `isLoaded` in interface `ProviderUtil`
Parameters:
  `entity` - whose loaded status is to be determined
Returns:
  load status of the entity